/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: RedeployExternalUnitTestCase.java,v 1.1.2.1 2004/11/05 12:55:30 tdiesler Exp $

package org.jboss.test.jbossnet.external;

import junit.framework.Test;

/**
 * tests connectivity to external, global web services. after redeploy
 * @version $Rev:$
 * @author cgjung
 * @since 12.11.2003
 */

public class RedeployExternalUnitTestCase extends ExternalUnitTestCase
{
   // Constructors --------------------------------------------------
   public RedeployExternalUnitTestCase(String name)
   {
      super(name);
   }

   /** this is to deploy the whole ear */
   public static Test suite() throws Exception
   {
      return getDeploySetup(RedeployExternalUnitTestCase.class, "jbossnet-external.ear");
   }

   public static void main(String[] args)
   {
      junit.textui.TestRunner.run(RedeployExternalUnitTestCase.class);
   }
}
